# Finish passwordless passkey sign-in

> Source: https://truto.one/docs/api-reference/admin/passkeys/authentication-verify/

`POST /auth/passkey/authentication/verify`

Resource: **Passkeys**

## Request body

- **`response`** _(object, required)_
  The `PublicKeyCredential` returned by `navigator.credentials.get()`, JSON-serialized (base64url). Extra fields the browser adds are accepted and ignored.
  - **`id`** _(string)_
    base64url credential ID. Max 64 KB.
  - **`rawId`** _(string)_
    base64url credential ID. Max 64 KB.
  - **`type`** _(string)_
    Always `public-key`. Max 64 characters.
  - **`response`** _(object, required)_
    - **`clientDataJSON`** _(string)_
      base64url. Max 64 KB.
    - **`authenticatorData`** _(string)_
      base64url. Max 64 KB.
    - **`signature`** _(string)_
      base64url. Max 64 KB.
    - **`userHandle`** _(string)_
      base64url. Max 64 KB. Ignored — the credential ID resolves the user.
- **`handle`** _(string)_
  The handle returned by `authentication/options`.

## Response body

- **`success`** _(boolean)_

## Code examples

### curl

```bash
curl -X POST 'https://api.truto.one/auth/passkey/authentication/verify' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "response": {},
  "handle": "your_handle"
}'
```

### JavaScript

```javascript
const body = {
  "response": {},
  "handle": "your_handle"
};

const response = await fetch('https://api.truto.one/auth/passkey/authentication/verify', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/auth/passkey/authentication/verify"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}
payload = {
    "response": {},
    "handle": "your_handle"
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
```
